
CoCoA-5 - Feature #512

Resurrect MakeCheck()

02 Apr 2014 17:13 - Anna Maria Bigatti

Status: New Start date: 02 Apr 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 0%

Category: CoCoA-4 function to be added Estimated time: 1.00 hour

Target version: CoCoA-5.?.? Spent time: 0.25 hour

Description

Tests for CoCoA-5 are run automatically by make.

It would be nice to have at least a partial set of test in the CoCoA-5 distribution to be run by users.

History

#1 - 07 Apr 2014 18:07 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#2 - 22 Jul 2014 09:40 - Anna Maria Bigatti

It should be easy enough to implement if we can get the path of the tests.

This works for me (as an example)

/**/  source(CocoaPackagePath()+"/../tests/anna.cocoa5");

but I would not like to have the tests directory so visible in the distribution (currently it is not distributed)

#3 - 28 Jul 2014 16:20 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

Undecided, needs more thinking.  Not urgent
